import {expect} from "chai"
import {Version, getMonsterVersion} from "../../source/types/version.mjs";

describe('Monster', function () {

    describe('.getMonsterVersion()', function () {
        let monsterVersion

        /** don´t touch, replaced by make with package.json version */
        monsterVersion = new Version("3.112.4")

        let m = getMonsterVersion();

        it('should ' + monsterVersion + ' is ' + m, function () {
            expect(m.compareTo(monsterVersion)).is.equal(0);
        });

    });

});
